The Spring Framework

## org.springframework.util
Class AutoPopulatingList.ElementInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.util.AutoPopulatingList.ElementInstantiationException

All Implemented Interfaces:
  Serializable

Enclosing class:
  AutoPopulatingList

    public static class AutoPopulatingList.ElementInstantiationException

extends RuntimeException

Exception to be thrown from ElementFactory.

See Also:
  Serialized Form

Constructor Summary
`AutoPopulatingList.ElementInstantiationException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoPopulatingList.ElementInstantiationException

    public AutoPopulatingList.ElementInstantiationException(String msg)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.